Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.facet
Class FacetScale

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.facet.SOMFacet
                  |
                  +--com.bea.schema.facet.NumericFacet
                        |
                        +--com.bea.schema.facet.FacetScale

Deprecated. 3/16/2001 superceded by fractionDigits

public class FacetScale
extends NumericFacet

scale is the maximum number of decimal digits in the fractional part of values of datatypes derived from decimal. The value of scale must be a nonNegativeInteger .

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `FacetFractionDigits`, Serialized Form

Fields inherited from class com.bea.schema.facet.SOMFacet
`duration, encoding, enumeration, fractionDigits, length, maxExclusive, maxInclusive, maxLength, minExclusive, minInclusive, minLength, pattern, period, precision, scale, totalDigits, whiteSpace`

Constructor Summary
`FacetScale(java.lang.String val)` Deprecated.

Method Summary
`java.lang.String` | `getID()` Deprecated.

Methods inherited from class com.bea.schema.facet.NumericFacet
`getDouble, getLong, getValue, setDouble, setValue`

Methods inherited from class com.bea.schema.facet.SOMFacet
`getAttributes, getFacet, getFixed, getTagName, setFixed, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addChild, addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacetScale

    public FacetScale(java.lang.String val)

  Deprecated.

Method Detail

### getID

    public java.lang.String getID()

  Deprecated.

  Overrides:
    getID in class SOMObject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)